%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-morgan
Version:    1.7.0
Release:    5%{?dist}
Summary:    Logging middleware for Connect
License:    MIT
URL:        https://github.com/expressjs/morgan
Source0:    http://registry.npmjs.org/morgan/-/morgan-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(basic-auth)
BuildRequires:  npm(debug)
BuildRequires:  npm(depd)
BuildRequires:  npm(on-finished)
BuildRequires:  npm(on-headers)

BuildRequires:  npm(istanbul)
BuildRequires:  npm(mocha)
BuildRequires:  npm(split)
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%nodejs_fixdep basic-auth --caret
%nodejs_fixdep debug --caret


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/morgan
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/morgan

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --check-leaks --reporter spec --bail
/usr/bin/istanbul-js cover /usr/bin/mocha -- --check-leaks --reporter dot
/usr/bin/istanbul-js cover /usr/bin/mocha --report lcovonly -- --check-leaks --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/morgan


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Tom Hughes <tom@compton.nu> - 1.7.0-3
- Relax npm(debug) dependency

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 14 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.7.0-1
- Update

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-2
- fix version of npm(bytes) dependency

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
